MysqlndUhConnection::getHostInformation
MysqlndUhConnection::getLastMessage
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::getLastInsertId

Returns the auto generated id used in the last query.

### Description

public int MysqlndUhConnection::getLastInsertId ( mysqlnd_connection `$connection` )

Returns the auto generated id used in the last query.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

### Return Values

Last insert id.

### Examples

Example #1 MysqlndUhConnection::getLastInsertId example

`<?php
class proxy extends MysqlndUhConnection {
public function getLastInsertId($res) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::getLastInsertId($res);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
$mysqli->query("DROP TABLE IF EXISTS test");
$mysqli->query("CREATE TABLE test(id INT AUTO_INCREMENT PRIMARY KEY, col VARCHAR(255))");
$mysqli->query("INSERT INTO test(col) VALUES ('a')");
var_dump($mysqli->insert_id);
?>`

The above example will output:

    proxy::getLastInsertId(array (
      0 => NULL,
    ))
    proxy::getLastInsertId returns 1
    int(1)

### See Also

- mysqlnd_uh_set_connection_proxy
- mysqli_insert_id
- mysql_insert_id